List Required Additional Tax Fields by Country
curl --request GET \
--url https://api.cadanapay.com/v1/tax/fields \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cadanapay.com/v1/tax/fields"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cadanapay.com/v1/tax/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"name": "maritalStatus",
"required": true,
"type": "string",
"enum": [
"single",
"married",
"divorced",
"widowed"
],
"description": "Marital status for tax deduction eligibility"
},
{
"name": "numberOfDependents",
"required": false,
"type": "number",
"description": "Number of dependents for tax relief",
"default": 0
},
{
"name": "isResident",
"required": false,
"type": "boolean",
"description": "Whether the worker is a tax resident",
"default": true
},
{
"name": "employerIndustry",
"required": false,
"type": "string",
"description": "Industry classification used for local tax variations"
}
]
}{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}Tax Calculator
List Required Additional Tax Fields by Country
Returns a list of tax-related additionalfields required to run calculations in the specified country
GET
/
v1
/
tax
/
fields
List Required Additional Tax Fields by Country
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required when using a Platform API token. The tenant key identifying which business to operate on.
Query Parameters
Response
Required tax fields by country
Show child attributes
Show child attributes
⌘I